Skip to main content
`Ctrl`+`K`

# TSGetTimeError

Returns the estimated error vector, if the chosen `TSType` has an error estimation functionality and `TSSetTimeError()` was called

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetTimeError(TS ts, PetscInt n, Vec *v)

Not Collective, but v returned is parallel if ts is parallel

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()` (input parameter).

- n - current estimate (n=0) or previous one (n=-1)

- v - the vector containing the error (same size as the solution).

## Note

MUST call after `TSSetUp()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSGetSolution()`, `TSSetTimeError()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex31.c

## Implementations

TSGetTimeError_GLEE() in src/ts/impls/glee/glee.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages